# Record Class CSVultrDNSRecord

java.lang.Object
java.lang.Record
com.io7m.certusine.vultr.internal.CSVultrDNSRecord

Record Components:
  `id` - The ID
  `type` - The type
  `name` - The name
  `data` - The data
  `priority` - The priority
  `ttl` - The time-to-live

public record CSVultrDNSRecord(String id, String type, String name, String data, int priority, int ttl) extends Record
The Vultr DNS record.

See Also:
  - "https://www.vultr.com/api/#tag/dns/operation/list-dns-domain-records"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSVultrDNSRecord(String id, String type, String name, String data, int priority, int ttl)`
  The Vultr DNS record.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `data()`
  Returns the value of the `data` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `id()`
  Returns the value of the `id` record component.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `int`
  `priority()`
  Returns the value of the `priority` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `int`
  `ttl()`
  Returns the value of the `ttl` record component.
  `String`
  `type()`
  Returns the value of the `type` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSVultrDNSRecord

    public CSVultrDNSRecord(String id, String type, String name, String data, int priority, int ttl)
    The Vultr DNS record.
    Parameters:
      `id` - The ID
      `type` - The type
      `name` - The name
      `data` - The data
      `priority` - The priority
      `ttl` - The time-to-live
    See Also:
      - "https://www.vultr.com/api/#tag/dns/operation/list-dns-domain-records"

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    public String id()
    Returns the value of the `id` record component.
    Returns:
      the value of the `id` record component

  - ### type

    public String type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### data

    public String data()
    Returns the value of the `data` record component.
    Returns:
      the value of the `data` record component

  - ### priority

    public int priority()
    Returns the value of the `priority` record component.
    Returns:
      the value of the `priority` record component

  - ### ttl

    public int ttl()
    Returns the value of the `ttl` record component.
    Returns:
      the value of the `ttl` record component